Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class StandardEntryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.AbstractToolEntryImpl
                          org.eclipse.gmf.codegen.gmfgen.impl.StandardEntryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AbstractToolEntry, EntryBase, StandardEntry, ToolGroupItem

    public class StandardEntryImpl

extends AbstractToolEntryImpl
implements StandardEntry

An implementation of the model object 'Standard Entry'.

The following features are implemented:

- `Kind`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected StandardEntryKind` `kind` The cached value of the '`Kind`' attribute
`protected static StandardEntryKind` `KIND_EDEFAULT` The default value of the '`Kind`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.AbstractToolEntryImpl
`default_, DEFAULT_EDEFAULT, properties, QUALIFIED_TOOL_NAME_EDEFAULT, qualifiedToolName`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
`CREATE_METHOD_NAME_EDEFAULT, createMethodName, description, DESCRIPTION_EDEFAULT, id, ID_EDEFAULT, LARGE_ICON_PATH_EDEFAULT, largeIconPath, SMALL_ICON_PATH_EDEFAULT, smallIconPath, title, TITLE_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `StandardEntryImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getCreateMethodName()` Returns the value of the 'Create Method Name' attribute
`StandardEntryKind` `getKind()`
`void` `setKind(StandardEntryKind newKind)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.AbstractToolEntryImpl
`eBaseStructuralFeatureID, eBasicRemoveFromContainerFeature, eDerivedStructuralFeatureID, eInverseAdd, eInverseRemove, getGroup, getProperties, getQualifiedToolName, isDefault, setDefault, setQualifiedToolName`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
`getCreateMethodNameGen, getDescription, getEntryID, getId, getIdGen, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setId, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.AbstractToolEntry
`getProperties, getQualifiedToolName, isDefault, setDefault, setQualifiedToolName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getDescription, getId, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setId, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ToolGroupItem
`getGroup`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### KIND_EDEFAULT

    protected static final StandardEntryKind KIND_EDEFAULT

  The default value of the '`Kind`' attribute.

  See Also:
    `getKind()`
  ** Generated **
  Ordered:

### kind

    protected StandardEntryKind kind

  The cached value of the '`Kind`' attribute.

  See Also:
    `getKind()`
  ** Generated **
  Ordered:

Constructor Detail

### StandardEntryImpl

    protected StandardEntryImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `AbstractToolEntryImpl`
  ** Generated **

### getKind

    public StandardEntryKind getKind()

  Specified by:
    `getKind` in interface `StandardEntry`
  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `StandardEntryKind`, `StandardEntry.setKind(StandardEntryKind)`, `GMFGenPackage.getStandardEntry_Kind()`
  ** Generated **

### setKind

    public void setKind(StandardEntryKind newKind)

  Specified by:
    `setKind` in interface `StandardEntry`
  Parameters:
    `newKind` - the new value of the 'Kind' attribute.
  See Also:
    `StandardEntryKind`, `StandardEntry.getKind()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `AbstractToolEntryImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `AbstractToolEntryImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `AbstractToolEntryImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `AbstractToolEntryImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractToolEntryImpl`
  ** Generated **

### getCreateMethodName

    public java.lang.String getCreateMethodName()

  Description copied from interface: `EntryBase`
  Returns the value of the 'Create Method Name' attribute.

  If the meaning of the 'Create Method Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreateMethodName` in interface `EntryBase`
  Returns:
    the value of the 'Create Method Name' attribute.
  See Also:
    `EntryBase.setCreateMethodName(String)`, `GMFGenPackage.getEntryBase_CreateMethodName()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.